"
 COPYRIGHT (c) 1988 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

PrinterStream subclass:#HPLjetIIPrinterStream
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Streams-External'
!

!HPLjetIIPrinterStream class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1988 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This class defines protocol for simple text prinitng on an HP Laserjet 2/3
    (and compatible) printer. 
    It does not support multiple fonts, but knows how to print bold, italic etc.

    Graphics printing is not supported - you need a postscriptprinter for this.

    [author:]
        Claus Gittinger
"
! !

!HPLjetIIPrinterStream class methodsFor:'queries'!

printerTypeName
    "return a descriptive name"

    ^ 'hp laserjet III compatible printer'
! !

!HPLjetIIPrinterStream methodsFor:'access writing'!

bold
    "switch to bold font-face"

    "send <ESC>(s0S<ESC>(s3B"

    super escapeAll:'(s0S'.
    super escapeAll:'(s3B'
!

courier
    "switch to courier font"

    super escapeAll:'(s3T'
!

cr
    "have to output cr-nl here"

    super nextPutUntranslated:(Character value:13).
    super nextPutUntranslated:(Character value:10).
    self spaces:LeftMargin
!

helvetica
    "switch to helvetica font"

    super escapeAll:'(s4T'
!

italic
    "switch to italic/oblique font-face"

    super escapeAll:'(s1S'.
    super escapeAll:'(s0B'
!

normal
    "switch to normal/roman font-face"

    super escapeAll:'(s0S'.
    super escapeAll:'(s0B'
!

times
    "switch to times font"

    super escapeAll:'(s5T'
! !

!HPLjetIIPrinterStream class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/HPLjetIIPrinterStream.st,v 1.13 1996-04-25 17:01:18 cg Exp $'
! !
